Toon firmware: issues (and solutions)

Forum about the Toon firmware, and its extensions

Moderators: marcelr, TheHogNL, TerrorSource, Toonz

Re: Toon firmware: issues (and solutions)

Postby mAiden » Sat Dec 08, 2018 9:26 am

If you run the script with sh for it and .sh behind it? (Command: sh update-rooted.sh )
I know, the script is executable. But sometimes ./ does not work.
mAiden
Member
Member
 
Posts: 239
Joined: July 2017

Re: Toon firmware: issues (and solutions)

Postby blue-label1989 » Sun Dec 09, 2018 11:27 am

Hi TheHog & Maiden.

When I run "opkg list-installed base-qb2-\*" I don't get information from my Toon.
But when I Run "opkg list-installed" I get A lot of information about the installed apps.

See Below:
=======
eneco-001-211565:~# opkg list-installed
base-files - 3.0.14-r100
base-passwd - 3.5.20-r1
boot-logos - 1.46-ene
busybox - 1.27.2-r4
busybox-mountall - 1.18.3-r42.1
busybox-syslog - 1.18.3-r42.1
chrony - 1.27-r1
curl - 7.21.2-r5.0
directfb - 1.2.8-r1.0
dropbear - 2015.71-r0
firmware-ba - 1.35
firmware-ma - 1.74
firmware-zwave-ctrlr - 1.29-master
flash-gui - 1.641-ene-qene
flash-lite-adobe - 4.0.3-54-fb0
flash-qwidget-benchmark - 1.185-qene-nl
flash-qwidget-diy - 1.155-qene-nl
flash-qwidget-eusage - 1.593-qene-nl-solar
flash-qwidget-note - 1.133-qene-nl
flash-qwidget-settings - 1.575-qene-nl
flash-qwidget-smartplugs - 1.85-qene-nl
flash-qwidget-thermostat - 1.236-ene-qene-nl
flash-qwidget-traffic - 1.71-qene-nl
flash-qwidget-weather - 1.114-qene-nl
flash-qwidget-whatsnew - 1.33-qene-nl
flash-qwidget-whatstoon - 1.30-qene-nl
freetype - 2.4.3-r1
glibc - 2.10.1-r37.1
glibc-binary-localedata-de-de - 2.10.1-r37.1
glibc-binary-localedata-en-gb - 2.10.1-r37.1
glibc-binary-localedata-en-us - 2.10.1-r37.1
glibc-binary-localedata-es-es - 2.10.1-r37.1
glibc-binary-localedata-fr-fr - 2.10.1-r37.1
glibc-binary-localedata-it-it - 2.10.1-r37.1
glibc-binary-localedata-nl-nl - 2.10.1-r37.1
glibc-gconv - 2.10.1-r37.1
glibc-gconv-iso8859-1 - 2.10.1-r37.1
glibc-localedata-i18n - 2.10.1-r37.1
glibc-localedata-iso14651-t1 - 2.10.1-r37.1
glibc-localedata-iso14651-t1-common - 2.10.1-r37.1
glibc-localedata-translit-circle - 2.10.1-r37.1
glibc-localedata-translit-cjk-compat - 2.10.1-r37.1
glibc-localedata-translit-compat - 2.10.1-r37.1
glibc-localedata-translit-font - 2.10.1-r37.1
glibc-localedata-translit-fraction - 2.10.1-r37.1
glibc-localedata-translit-narrow - 2.10.1-r37.1
glibc-localedata-translit-neutral - 2.10.1-r37.1
glibc-localedata-translit-small - 2.10.1-r37.1
glibc-localedata-translit-wide - 2.10.1-r37.1
gnupg - 1.4.10-r3
gnutls - 2.10.4-r11.0
gpgme - 1.1.4-r5
gpgv - 1.4.10-r3
happ-kpi - 1.81-ene
happ-pwrusage - 1.387
happ-scsync - 1.81
happ-smartplug - 1.76
happ-telmi - 1.14
happ-thermstat - 1.515-trunk
happ-usermsg - 1.22
happ-weather - 1.65
hcb-bxtproxy - 1.51
hcb-comm - 1.118-TN
hcb-config - 1.215
hcb-core - 1.131
hcb-log - 1.52
hcb-netcon - 1.220
hcb-rrd - 2.125
hcb-upnp - 1.73
hcb-watchdog - 1.26
hcb-web - 1.103
hdrv-hue - 1.53-ene
hdrv-p1 - 1.354
hdrv-zwave - 1.475-ene
i2c-tools - 3.0.3-r0
initscripts - 1.2-r6-runlvls
iptables - 1.4.9.1-r7.1
jansson - 1.3-r1.0
joe - 3.1-r3
jpeg - 8b-r1
kernel - 2.6.36-R07-h21
kernel-image - 2.6.36-R07-h21
kernel-module-fat - 2.6.36-R07-h21
kernel-module-ftdi-sio - 2.6.36-R07-h21
kernel-module-msdos - 2.6.36-R07-h21
kernel-module-pl2303 - 2.6.36-R07-h21
kernel-module-rt5370sta - 2.6.36-R07-h21
kernel-module-rt5370sta-cfg - 2.6.36-R07-h21
kernel-module-rtl8191su - 2.6.36-R07-h21
kernel-module-vfat - 2.6.36-R07-h21
kernel-module-zwave300 - 2.6.36-R07-h21
less - 436-r1
libbz2 - 1.0.6-r0
libcrypto - 0.9.8m-r14.1
libcurl - 7.21.2-r5.0
libgcc - 4.5-r33.1+svnr170443
libgcrypt - 1.4.1-r0
libgpg-error - 1.4-r7.1
libhcb-base - 1.171
libhcb-boxtalk - 1.85
libhcb-com - 1.91-TN
libhcb-drv - 1.256-r2.0
libhcb-xml - 1.65
libnetfilter-conntrack - 0.0.101-r0
libnfnetlink - 1.0.0-r0.0
libopkg - 0.1.8+svns635-r7-gcv
libpng12 - 1.2.44-r3.0
libssl - 0.9.8m-r14.1
libstdc++ - 4.5-r33.1+svnr170443
libsysfs - 2.1.0-r3
lighttpd - 1.4.30-13
lighttpd-mod-hcb-web - 1.4.30-22
locale-base-de-de - 2.10.1-r37.1
locale-base-en-gb - 2.10.1-r37.1
locale-base-en-us - 2.10.1-r37.1
locale-base-es-es - 2.10.1-r37.1
locale-base-fr-fr - 2.10.1-r37.1
locale-base-it-it - 2.10.1-r37.1
locale-base-nl-nl - 2.10.1-r37.1
lzo2 - 2.03-r0
makedevs - 1.0.0-r10
module-init-tools - 3.12-r6
module-init-tools-depmod - 3.12-r6
modutils-initscripts - 1.0-r3
mtd-utils - 1.4.1-r0
ncurses - 5.7+20110115-r16
ncurses-libncurses - 5.7+20110115-r16
ncurses-libtinfo - 5.7+20110115-r16
ncurses-terminfo - 5.7+20110115-r16
ncurses-terminfo-base - 5.7+20110115-r16
netbase - 4.21-r50
openssh-sftp-server - 7.3p1-r10.0
openssl - 0.9.8m-r14.1
openssl-conf - 0.9.8m-r14.1
openvpn - 2.1.0-r2.0
opkg - 0.1.8+svns635-r7-gcv
opkg-collateral - 1.0-r3
pointercal - 0.0-r22
pth - 2.0.2-r2
readline - 5.2-r8
samba-nmbd - 3.0.20-r8
sysvinit - 2.86-r63
sysvinit-inittab - 2.86-r63
sysvinit-pidof - 2.86-r63
sysvinit-utils - 2.86-r63
tslib - 1.0-r28.7hae
tslib-calibrate - 1.0-r28.7hae
tslib-conf - 1.0-r28.7hae
tzdata-americas - 2011b-r8.0
tzdata-europe - 2011b-r8.0
update-modules - 1.0-r10
update-rc.d - 0.7-r2
wget - 1.12-r8.2
wireless-tools - 29-r5
wpa-supplicant - 2.0-r3
wpa-supplicant-cli - 2.0-r3
wpa-supplicant-passphrase - 2.0-r3
www-jquery-ui - 1.8.21-16
www-resources - 1.16
x11vnc - 0.9.13-r0
zlib - 1.2.3-r7.0

=========

@Maiden: When I put "sh" in front of the script, it will run.. but comes with the same error code. "Unable to determine your current running version!"

Thnx for the support.

Greets Roy
blue-label1989
Starting Member
Starting Member
 
Posts: 6
Joined: December 2018

Re: Toon firmware: issues (and solutions)

Postby TheHogNL » Sun Dec 09, 2018 7:58 pm

Ah I see.. you are on an VERY old software version now :) The script doesn't work with this. Can you tell me which version you have? You must be at least before 2.9.26 I guess?
Member of the Toon Software Collective
User avatar
TheHogNL
Forum Moderator
Forum Moderator
 
Posts: 1078
Joined: August 2017

Re: Toon firmware: issues (and solutions)

Postby TheHogNL » Sun Dec 09, 2018 8:10 pm

I did some searching and now I think your are on 2.10.15. You are missing base-qb2 package, that is weird.

Try to force update to version 3.7.8 (I just picked something in the 3 series) with the option "-v 3.7.8"
Member of the Toon Software Collective
User avatar
TheHogNL
Forum Moderator
Forum Moderator
 
Posts: 1078
Joined: August 2017

Re: Toon firmware: issues (and solutions)

Postby blue-label1989 » Mon Dec 10, 2018 10:24 am

Hi TheHog,

I think my Toon is going Loco :-)

I've tried to force the update with the following line: "./updated-rooted.sh -v 3.7.8"

And getting the next results:

Starting the upgrade prepare option which downloads all necessary files. No upgrade is done yet.
Progress: 0%
Prepare failed. Please check the logs at /HCBv2/tmp/opkg-cache/upgrade-qb2.sh.log
Quitting the upgrade. It was a nice try tho...

**Information from HCBv2 Log:
>> 2018-12-10 09:12:57 +0000 (pid 22182)
>> Unknown ACTION arg! Aborting.
>> 2018-12-10 09:12:57 +0000 (pid 22182) -error-unknown-action 'Unknown ACTION arg! Aborting.'
>> 2018-12-10 09:13:46 +0000 (pid 22384) upgrade-qb2.sh qb2 3.7.8 prepare


NB: I've tried multiple Force versions, but it wont work.

Any Ideas?
Thank you!
blue-label1989
Starting Member
Starting Member
 
Posts: 6
Joined: December 2018

Re: Toon firmware: issues (and solutions)

Postby TheHogNL » Mon Dec 10, 2018 8:25 pm

Yes this is probably because the Eneco script can't determine your version also. The word 'ENE' is missing (for flavour 'eneco'). The base-qb2-ene file is missing from your package list.

Please tell me which version your Toon is at according to your toon display.
Member of the Toon Software Collective
User avatar
TheHogNL
Forum Moderator
Forum Moderator
 
Posts: 1078
Joined: August 2017

Re: Toon firmware: issues (and solutions)

Postby blue-label1989 » Mon Dec 10, 2018 9:02 pm

Hi TheHog,

According from the display my current version is: "Software Versie: 4.19.10" / "Firmware Ketelmodule: 37"
But crazy enough, today I got an error from the Dropdown-eventlist (meldingen) "Error- Kan niet bepalen welke software versie er is geinstalleerd"

Greets
blue-label1989
Starting Member
Starting Member
 
Posts: 6
Joined: December 2018

Re: Toon firmware: issues (and solutions)

Postby TheHogNL » Tue Dec 11, 2018 9:47 am

Weird. Your list of packages above doesn't compare with the 4.19.10 you mention. I think you are in a failed update situation somehow.

Are you still running the old firmware (with the Eneco logo on top) or the new (with Toon logo on top)?

If old firmware: please run "opkg install http://qutility.nl/base-qb2-ene_2.10.15-892-0_qb2.ipk" and try to update again afterwards. The command will install the 2.10.15 base firmware package (according to the package list this is what you are really running now).

If new firmware: please post the log file in /mnt/data/update (something called update-qb2.sh.log or like that).
Member of the Toon Software Collective
User avatar
TheHogNL
Forum Moderator
Forum Moderator
 
Posts: 1078
Joined: August 2017

Re: Toon firmware: issues (and solutions)

Postby blue-label1989 » Tue Dec 11, 2018 1:00 pm

Well i'm a little bit further now.

I've run the code: "opkg install http://qutility.nl/base-qb2-ene_2.10.15-892-0_qb2.ipk" and rebooted my device. (lost SSL but configured again)
Now when I look at the Display my Toon version is: 2.9.26

When I startup Putty and run the Newest update script i get:


=====Extra info======
Please wait: booting... (print_boot_msg)
* Kernel 2.6.36-R07-h21 (print_boot_msg)
* Firmware qb2/ene/2.10.15-892-0 (print_boot_msg)
* Hostname eneco-001-211565 (print_boot_msg)

./update-rooted.sh

You are currently running version 2.10.15 on a qb2 with flavour ene

Available versions: 1.0.9 1.9.10 2.1.0 2.2.24 2.3.17 2.3.29 2.3.36 2.4.7 2.4.12 2.5.11 2.5.14 2.5.18 2.6.24 2.6.33 2.8.16 2.8.21 2.9.15 2.9.26 2.10.15 3.0.29 3.0.32 3.1.22 3.2.14 3.2.18 3.2.21 3.3.8 3.4.2 3.4.4 3.5.4 3.6.3 3.7.8 3.7.9 4.3.20 4.4.21 4.7.23 4.8.25 4.9.23 4.9.124 4.10.6 4.11.6 4.12.0 4.13.6 4.13.7 4.15.2 4.15.6 4.16.8 4.18.8 4.19.10 4.20.7 4.22.7

Which version do you want to upgrade to?
4.22.7
You need to upgrade to 2.9.26 first!



Okay, then we will do that, but... when I want to do the update from the script to 2.9.26 I run into a kind of Loop.
=====
Which version do you want to upgrade to?
2.9.26
Smartass.. 2.9.26 is not an upgrade for 2.10.15!


Okay, then i will let the script decide
Which version do you want to upgrade to?
3.0.29
You need to upgrade to 2.9.26 first! Selecting this version for you.
Now starting the VPN tunnel and waiting for it to be alive and configured...

It will install, but its looping with the versions above
(You are currently running version 2.10.15 on a qb2 with flavour ene, You need to upgrade to 2.9.26 first!)

Greets
blue-label1989
Starting Member
Starting Member
 
Posts: 6
Joined: December 2018

Re: Toon firmware: issues (and solutions)

Postby mAiden » Tue Dec 11, 2018 4:54 pm

This one is weird "You are currently running version 2.10.15 on a qb2 with flavour ene, You need to upgrade to 2.9.26 first!"

try: ./update-rooted.sh -v 2.9.26
This wil force 2.9.26, i hope it will fix some files, so you can update higher.
mAiden
Member
Member
 
Posts: 239
Joined: July 2017

Re: Toon firmware: issues (and solutions)

Postby TheHogNL » Tue Dec 11, 2018 5:33 pm

Ah that's a bug in my script.. 10 is more than 9 but not in my script :)

Please run : "./update-rooted.sh -v 4.10.6" now
Member of the Toon Software Collective
User avatar
TheHogNL
Forum Moderator
Forum Moderator
 
Posts: 1078
Joined: August 2017

Re: Toon firmware: issues (and solutions)

Postby TheHogNL » Tue Dec 11, 2018 5:48 pm

Just fixed the bug so running the script normally would also work now.
Member of the Toon Software Collective
User avatar
TheHogNL
Forum Moderator
Forum Moderator
 
Posts: 1078
Joined: August 2017

Re: Toon firmware: issues (and solutions)

Postby blue-label1989 » Tue Dec 11, 2018 8:16 pm

Well guys, I have updated my Toon to 4.22.7 semi via the script. (WHOOHOOO)

When I used the code from the script it wont update to the next version, but when I use the function "-v" it worked.

Steps: "./update-rooted.sh -v" -v 2.9.26 --> -v 3.0.29 --> -v 4.10.6 --> -v 4.22.7


When I did it via the script (no -V function) I got error codes: (maybe u can use it)
/tmp/update.status.vars: Downloading 100% (154/154)
Collected errors:
* opkg_download: Failed to download http://feed.hae.orig/feeds/qb2/oe/2.6.3 ... r1_qb2.ipk: HTTP
* opkg_install_pkg: Failed to download openvpn. Perhaps you need to run 'opkg update'?
> Exit code: 255
>> 2018-12-11 18:12:08 +0000 (pid 1545) prepare-error-opkg-download-download 'opkg failed to download'


Thanxs TheHogNL and Maiden for your input!
blue-label1989
Starting Member
Starting Member
 
Posts: 6
Joined: December 2018

Re: Toon firmware: issues (and solutions)

Postby TheHogNL » Wed Dec 12, 2018 11:34 am

Think this last error is just a temporary error. The file should be available from the original resources. Probably some issue at Eneco's server at that time.
Member of the Toon Software Collective
User avatar
TheHogNL
Forum Moderator
Forum Moderator
 
Posts: 1078
Joined: August 2017

Re: Toon firmware: issues (and solutions)

Postby alcomys » Tue Jan 08, 2019 9:09 pm

Hi guys,

i want to use toon with domoticz but my toon has an 404 error when try to access the webpage of toon.
what is see is the following url when type the ip of my toon (http://192.168.188.51/qmf/www/) and an error 404
i did use the autoupdate script several times but nothing changes.
do i miss some files ?

thanks
User avatar
alcomys
Starting Member
Starting Member
 
Posts: 22
Joined: December 2018
Location: Arnhem,Netherlands

PreviousNext

Return to Toon Firmware

Who is online

Users browsing this forum: No registered users and 1 guest